com.microfocus.awm.control.toolexecution

## Class MassOutputEntry

- java.lang.Object
- - com.microfocus.awm.control.toolexecution.MassOutputEntry

- All Implemented Interfaces:
    IMassOutputEntry

      public class MassOutputEntry
      extends java.lang.Object
      implements IMassOutputEntry

  Basic implementation of `IMassOutputEntry`.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MassOutputEntry(IToolContext pSubContext, java.util.List<IToolOutputParameter> pOutputParameters)` Creates a new mass output entry.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IToolOutputParameter>` | `getOutputParameters()` Gets output parameters returned for the mass output entry.
    `IToolContext` | `getSubConntext()` Returns the sub-context of this entry.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MassOutputEntry

          public MassOutputEntry(IToolContext pSubContext,
                                 java.util.List<IToolOutputParameter> pOutputParameters)

      Creates a new mass output entry.
      Parameters:
        `pSubContext` - the corresponding sub context
        `pOutputParameters` - the output parameters of the mass output entry
      See Also:
        `IMassProcessingToolContext`, `getOutputParameters()`

  - ### Method Detail

    - #### getSubConntext

          public IToolContext getSubConntext()

      Description copied from interface: `IMassOutputEntry`
      Returns the sub-context of this entry.
      Specified by:
        `getSubConntext` in interface `IMassOutputEntry`
      Returns:
        the mass processing sub-context

    - #### getOutputParameters

          public java.util.List<IToolOutputParameter> getOutputParameters()

      Description copied from interface: `IMassOutputEntry`
      Gets output parameters returned for the mass output entry.
      Specified by:
        `getOutputParameters` in interface `IMassOutputEntry`
      Returns:
        the output parameters

Copyright © 2015 Micro Focus GmbH. All rights reserved.